//*****************************************************************************
// PS_Replace -- Replacement mutator
// Created by mrbond113
//*****************************************************************************

class PS_Replace extends Mutator config(ProjSwap);

var bool NewWeap;

function bool checkReplacement(Actor Suspect, out byte bSuperRelevant)
{
    if(NewWeap)
    {
        NewWeap=false;
        return true;
    }

    if(Suspect.isA('enforcer'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_Enforcer");
        return false;
    }
    else if(Suspect.isA('UT_BioRifle'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_BioRifle");
        return false;
    }
    else if(Suspect.isA('ShockRifle'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_ShockRifle");
        return false;
    }
    else if(Suspect.isA('PulseGun'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_PulseGun");
        return false;
    }
    else if(Suspect.isA('Ripper'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_Ripper");
        return false;
    }
    else if(Suspect.isA('minigun2'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_Minigun");
        return false;
    }
    else if(Suspect.isA('UT_FlakCannon'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_FlakCannon");
        return false;
    }
    else if(Suspect.isA('UT_Eightball'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_RocketLauncher");
        return false;
    }
    else if(Suspect.isA('SniperRifle'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_SniperRifle");
        return false;
    }
    else if(Suspect.isA('WarHeadLauncher'))
    {
        NewWeap=true;
        ReplaceWith(Suspect, "ProjSwap.PS_Redeemer");
        return false;
    }

    return true;
}

defaultproperties
{
    DefaultWeapon=Class'PS_Enforcer'
}
